#
# Compile Design.
#

vcom -work work {src/assembler.vhd}
vcom -work work {src/raptor16.vhd}

#
# Compile Testbench.
#

vcom -work work {src/testbench.vhd}

#
# Run Simulation.
#

vsim work.testbench

add wave sim:/testbench/u0/clk
add wave sim:/testbench/u0/rst

add wave sim:/testbench/u0/dregs(0)
add wave sim:/testbench/u0/dregs(1)
add wave sim:/testbench/u0/dregs(2)
add wave sim:/testbench/u0/dregs(3)
add wave sim:/testbench/u0/dregs(4)
add wave sim:/testbench/u0/dregs(5)
add wave sim:/testbench/u0/dregs(6)
add wave sim:/testbench/u0/dregs(7)

add wave sim:/testbench/u0/aregs(0)
add wave sim:/testbench/u0/aregs(1)
add wave sim:/testbench/u0/aregs(2)
add wave sim:/testbench/u0/aregs(3)
add wave sim:/testbench/u0/aregs(4)
add wave sim:/testbench/u0/aregs(5)
add wave sim:/testbench/u0/sp
add wave sim:/testbench/u0/pc

add wave sim:/testbench/u0/port_registers(0)
add wave sim:/testbench/u0/port_registers(1)
add wave sim:/testbench/u0/port_registers(2)
add wave sim:/testbench/u0/port_registers(3)
add wave sim:/testbench/u0/port_registers(4)

run 25 us
